[ Maverik Level 2 functions ]

#

mav_callbackDeleteSet

## Summary

Set object delete callback.

## Syntax

void mav_callbackDeleteSet(MAV_window *w, MAV_class *c, MAV_callbackDeleteFn fn);

- MAV_window *w
  Window.

- MAV_class *c
  Object class.

- MAV_callbackDeleteFn fn
  Callback function to be called on object deletion.

## Description

This function sets the "delete" callback function for a given class `c` of object in window `w` to `fn`. The callback will be called on deletion of an object of the given class. The callback function has the opportunity to free any memory associated with the object's data.

## See also

mav_callbackDeleteExec.

Back to the index page.